die "must specify something to look for" if $#ARGV == -1;

require "unify/uniperl.pl";
require "unify/btincl.ph";

&Init_Synonyms;
&Init_Tables;

$res = &btflds(70, $ptr, $dups_ok);
die "error $res from btflds" if ($res < 0);

@btkdesc = unpack("s18", $ptr);
print "Btree $btidx(", ($dups_ok) ? "" : "no ", "dups)";
do {
	($fldno, $ordering) = (shift(@btkdesc), shift(@btkdesc));
	if ($fldno >= 0) {
		print "; $Synonym[$fldno], ";
		if ($ordering) { print "Asc"; } else { print "Desc"; }
	} else {
		print "\n";
	}
} while ($fldno >= 0);

$res = &opnbts(70);
die "error $res from opnbts" if ($res < 0);

print "looking for: ", join("|", @ARGV), "\n";

&btsrch(70, @ARGV);

do {
	&gfield($fldid{"entity.first_name"}, $fname);
	&gfield($fldid{"entity.last_name"}, $lname);
	&gfield($fldid{"entity.name"}, $name);
	print "$name ($lname, $fname)\n";
} while (($res = &btnext(70)) == 0);

die "error $res from btnext" if $res != -6;

$res = &closbt(70);
die "error $res from closbt" if ($res < 0);
