#!./uniperl

require "unify/uniperl.pl";

&Init_Globals;
&Init_Tables;

sub copy_rec
{
	local($tnum, $skey, $dkey) = @_;

	&loc($tnum, $dflt);

	if (($rc=&acckey($tnum, $skey)) != 0) {
		&setloc($tnum, $dflt);
		return(-1);
	}

	&loc($tnum, $source);
	if (($rc=&addrec($tnum, $dkey)) != 0) {
		&setloc($tnum, $dflt);
		return(-2);
	}

	&loc($tnum, $dest);
	$key = &reckey($tnum);
	$limit = &numflds;

	for ($i=1; $i <= $limit; $i++) {
		next if (&fldesc($i, $f_rec, $f_typ, $f_len, $f_par, $f_rprec, $f_rpfld) == 0);
		next if $f_rec != $tnum;
		next if $i == $key || $f_par == $key;
		next if $f_typ == $COMB;
		&setloc($tnum, $source);
		&gfield($i, $buffer);
		&setloc($tnum, $dest);
		&pfield($i, $buffer);
	}
	&setloc($tnum, $dflt);

	return(0);
}

&copyrec($employee, 4, 5);
