require "uniperl.pl";

&Init_Globals;
&Init_Tables;
&Init_Fields;

sub spfield
{
	local($fld, $buf) = @_;
	local($desc);

	&fldesc($fld, $f_rec, $f_typ, $f_len, $f_par, $f_rprec, $f_rpfld);
	&loc($f_rec, $i);
	if ($i == 0) {
		print "No current table $Table[$f_rec].\n";
		return -6;
	} else {
		$r = &pfield($fld, $buf);
		print "pfield($Field[$fld]) returned $r.\n" if ($r != 0);
		return $r;
	}
}

local($buf) = pack("l", time);
if (&addrec($all, $buf) != 0) {
	print "addrec failed\n";
	exit(1);
}

&spfield($all_num4, 1234);
&spfield($all_amt7, 123.45);
&spfield($all_amt8, 123.45);
&spfield($all_flt, 1234.5);
$s = "This is a test of spfield().";
&spfield($all_str, $s);
## &spfield($all_text, "This is a test of spfield().");
## &spfield($all_bin, "This is a test of spfield().");
&spfield($all_sdat, &kday(2, 14, 93));
&atold("2/14/1993", $ldate);
&spfield($all_ldat, $ldate);
&spfield($all_time, 1245);
