#!./uniperl

require "uniperl.pl";
require "h/unisel.ph";

sub highlow
{
	&prmp(1, 14, "Enter the LOW purchase_price for the selection file:   ");
	&prmp(1, 16, "Enter the HIGH purchase_price for the selection file:  ");

	&gtube(56, 14, $itm_prcq, $low);
	&gtube(56, 16, $itm_prcq, $high);
}

sub pritm
{
	local($y) = @_;

	&gfield($itm_prcq, $price_quoted);
	$price_quoted = $price_quoted + 0.25 * $price_quoted;
	&pfield($itm_prcq, $price_quoted);

	if ($y == 8) {
		&prmp(1, 5, "order_number |");
		&prmp(15, 5, "line_number |");
		&prmp(30, 5, "stock_number |");
		&prmp(45, 5, "quantity |");
		&prmp(56, 5, "price_qtd |");
		&prmp(69, 5, "qty_shipped |");
		&prmp(82, 5, "status_code");
	}
	&pdata(1, $y, $itm_ord);
	&pdata(15, $y, $itm_lno);
	&pdata(30, $y, $itm_stk);
	&pdata(45, $y, $itm_qty);
	&pdata(56, $y, $itm_prcq);
	&pdata(69, $y, $itm_ship);
	&pdata(82, $y, $itm_stat);
}

&Init_Globals;
&Init_Tables;
&Init_Fields;

&clr_crt(1, 'a');

&prmp(6, 1, "Program to update price_quoted by 25% for selected item records");
&prmp(12, 3, "Select a rance of prices for selection file");

&highlow($low, $high);
&entsitm($itm_prcq, $low, $high, $EQ);

&clr_crt(1, 'a');
&prmp(0, 5, "Low purchase price:  ");
&ptube(22, 5, $itm_prcq, $low);
&prmp(39, 5, "High purchase price: ");
&ptube(60, 5,$itm_prcq, $high);

&prtmsg(0, 23, "Call UNISEL");
$filename = "/tmp/hl$$";

$rc = &unisel($filename, $items, $count);

if ($count == 0) {
	&prtmsg(0, 23, "There are no item records that satisfy price criteria");
	&setcook;
	unlink($filename);
	exit;
} else {
	&prtmsg(0, 23, "rc = $rc     count = $count      ");
}


$line = 1;
$ss = &opensf($filename);
&frstsel($ss);

&clr_crt(1, 'a');

do {
	if ( $line > 15 ) {
		&prtmsg(0, 23, "Hit return for next page");
		$line = 1;
		for ($i=15; $i; $i--) {
			&mv_cur(1, 0, $i+7);
			&eras_ln(1);
		}
	}
	&pritm($line+7);
	$line++;
} while (&nextsel($ss) == 1);

&closesf($ss);
&prtmsg(0, 23, "That is the last record");

&setcook;
unlink($filename);
