#!./uniperl

require "unify/uniperl.pl";
require "unify/unisel.ph";

&Init_Globals;
&Init_Tables;
&Init_Synonyms;

sub Print_Entity
{
	&gfield($fldid{"entity.name"}, $name);
	&gfield($fldid{"entity.address_1"}, $address_1);
	&gfield($fldid{"entity.address_2"}, $address_2);
	&gfield($fldid{"entity.city"}, $city);
	&gfield($fldid{"entity.state"}, $state);
	&gfield($fldid{"entity.zip_code"}, $zip_code);

	print "\n";
	print "$name\n";
	print "$address_1\n" if $address_1 ne "";
	print "$address_2\n" if $address_2 ne "";
	print "$city, " if $city ne "";
	print "$state  " if $state ne "";
	print "$zip_code" if $zip_code ne "";
	print "\n";
}


$rc = &entsitm($fldid{"entity.state"}, "CA", undef, $EQ);
&ufsel($entity, $count, 'Print_Entity');
